diff --git a/gcc/analyzer/sm-signal.cc b/gcc/analyzer/sm-signal.cc
index fd9a5a13fb6..c3ec197cfc2 100644
--- a/gcc/analyzer/sm-signal.cc
+++ b/gcc/analyzer/sm-signal.cc
@@ -204,12 +204,12 @@ signal_state_machine::signal_state_machine (logger *logger)
    an signal-handler in response to a signal.  */
 
 static void
-update_model2_for_signal_handler (region_model2 *model,
-				  function *handler_fun)
+update_model_for_signal_handler (region_model *model,
+				 function *handler_fun)
 {
   gcc_assert (model);
   /* Purge all state within MODEL.  */
-  *model = region_model2 (model->get_manager ());
+  *model = region_model (model->get_manager ());
   model->push_frame (handler_fun, NULL, NULL);
 }
 
@@ -223,10 +223,10 @@ public:
     pp_string (pp, "signal delivered");
   }
 
-  void update_model2 (region_model2 *model,
-		      const exploded_edge &eedge) FINAL OVERRIDE
+  void update_model (region_model *model,
+		     const exploded_edge &eedge) FINAL OVERRIDE
   {
-    update_model2_for_signal_handler (model, eedge.m_dest->get_function ());
+    update_model_for_signal_handler (model, eedge.m_dest->get_function ());
   }
 
   void add_events_to_path (checker_path *emission_path,
@@ -266,9 +266,9 @@ public:
 					    handler_fun);
 
     program_state state_entering_handler (eg->get_ext_state ());
-    update_model2_for_signal_handler (state_entering_handler.m_region_model2,
-				      handler_fun);
-    state_entering_handler.m_checker_states2[sm_idx]->set_global_state
+    update_model_for_signal_handler (state_entering_handler.m_region_model,
+				     handler_fun);
+    state_entering_handler.m_checker_states[sm_idx]->set_global_state
       (m_sm.m_in_signal_handler);
 
     exploded_node *dst_enode = eg->get_or_create_node (entering_handler,
diff --git a/gcc/analyzer/sm.h b/gcc/analyzer/sm.h
index 26be70bd247..fa65f527399 100644
--- a/gcc/analyzer/sm.h
+++ b/gcc/analyzer/sm.h
@@ -52,7 +52,7 @@ public:
      within a heap-allocated struct.  */
   virtual bool inherited_state_p () const = 0;
 
-  virtual state_machine::state_t get_default_state (const svalue2 *) const
+  virtual state_machine::state_t get_default_state (const svalue *) const
   {
     return 0;
   }
